<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- GENERAL INFORMATION -->
    <artifactId>compss-resources</artifactId>
    <packaging>pom</packaging>
    <parent>
        <groupId>es.bsc.compss</groupId>
        <artifactId>compss-runtime</artifactId>
        <version>2.6.rc1912</version>
        <relativePath>..</relativePath>
    </parent>

    <!-- PROJECT INFORMATION -->
    <name>COMPSs Resource Management</name>
    <description>COMPSs Resource Management</description>
    <url>http://www.bsc.es</url>
    <inceptionYear>2014</inceptionYear>
    <licenses>
        <license>
            <name>Apache License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
        </license>
    </licenses>
    <organization>
        <name>BSC</name>
        <url>http://www.bsc.es</url>
    </organization>

    <!-- DEPENDENCIES -->
    <dependencyManagement>
        <dependencies>
            <!-- Adaptors --> 
            <dependency>
                <groupId>es.bsc.compss</groupId>
                <artifactId>compss-adaptors-commons</artifactId>
                <version>${compss.version}</version>
            </dependency>
            <dependency>
                <groupId>es.bsc.compss</groupId>
                <artifactId>compss-adaptors-engine</artifactId>
                <version>${compss.version}</version>
            </dependency>
            <!-- Classes for Local adaptor on master --> 
            <dependency>
                <groupId>es.bsc.compss</groupId>
                <artifactId>compss-adaptors-local-master</artifactId>
                <version>${compss.version}</version>
            </dependency>
            <!-- Resource configuration classes -->
            <dependency>
                <groupId>es.bsc.compss</groupId>
                <artifactId>compss-resources-schema</artifactId>
                <version>${compss.version}</version>
            </dependency>
            <dependency>
                <groupId>es.bsc.compss</groupId>
                <artifactId>compss-project-schema</artifactId>
                <version>${compss.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- SUB-MODULES -->
    <modules>
        <module>commons</module>
        <module>default</module>
    </modules>
</project>
